unit uViewCobroMontaje;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, uViewCobroCliente, DB, uDADataTable, dxLayoutControl, cxCurrencyEdit,
  cxDBEdit, cxMemo, uCustomView, uViewBase, uViewDatosYSeleccionCliente,
  cxMaskEdit, cxDropDownEdit, cxCalendar, cxContainer, cxEdit, cxTextEdit,
  cxControls, uViewDatosYSeleccionMontaje,
  uBizCobrosCliente, uBizCobrosMontaje;

type
  IViewCobroMontaje = interface(IViewCobroCliente)
  ['{4CA563CF-DCE4-4F69-BF38-2B22BEB49F3E}']
    function GetViewMontajeCobro: TfrViewDatosYSeleccionMontaje;
    procedure SetViewMontajeCobro(const Value: TfrViewDatosYSeleccionMontaje);
    property ViewMontajeCobro: TfrViewDatosYSeleccionMontaje read GetViewMontajeCobro write SetViewMontajeCobro;
  end;

  TfrViewCobroMontaje = class(TfrViewCobroCliente, IViewCobroMontaje)
    dxLayoutCobroClienteItem5: TdxLayoutItem;
    frViewMontajeCobro: TfrViewDatosYSeleccionMontaje;
    procedure OnCreate(Sender: TObject);
    procedure OnDestroy(Sender: TObject);
  private
    { Private declarations }
  protected
    FViewMontajeCobro : TfrViewDatosYSeleccionMontaje;
    function GetViewMontajeCobro: TfrViewDatosYSeleccionMontaje;
    procedure SetViewMontajeCobro(const Value: TfrViewDatosYSeleccionMontaje);
    procedure SetCobro(const Value: IBizCobroCliente); override;
  public
    property ViewMontajeCobro: TfrViewDatosYSeleccionMontaje read GetViewMontajeCobro write SetViewMontajeCobro;
  end;

var
  frViewCobroMontaje: TfrViewCobroMontaje;

implementation

{$R *.dfm}

function TfrViewCobroMontaje.GetViewMontajeCobro: TfrViewDatosYSeleccionMontaje;
begin
  Result := FViewMontajeCobro;
end;

procedure TfrViewCobroMontaje.OnCreate(Sender: TObject);
begin
  inherited;
  FViewMontajeCobro := frViewMontajeCobro;
end;

procedure TfrViewCobroMontaje.OnDestroy(Sender: TObject);
begin
  FViewMontajeCobro := Nil;
  inherited;
end;

procedure TfrViewCobroMontaje.SetCobro(const Value: IBizCobroCliente);
begin
  inherited;
  frViewMontajeCobro.Montaje := (FCobro as IBizCobroMontaje).Montaje;
end;

procedure TfrViewCobroMontaje.SetViewMontajeCobro(const Value: TfrViewDatosYSeleccionMontaje);
begin
  FViewMontajeCobro := Value;
end;

end.
